<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/

function censore($str)
{
  if(!($fd = fopen("bad_words.txt","r"))){
    return($str);
  }
  while (!feof ($fd)){
    $line = trim(fgets($fd));
    $str = str_replace($line, "[OCENZUROWANO]", $str);
  }
  return $str;
}
$tekst = censore("Słowa slowo1 i slowo2 podlegają cenzurze.");
echo($tekst);
?>
